onEvent("lootjs", (event) => {
	event
        .addBlockLootModifier('#forge:chests')
        .removeLoot('@tombstone')
    event
        .addBlockLootModifier('byg:ether_foliage')
        .removeLoot('*')
		.pool(p => {  
			p.randomChance(0.2)
			p.addLoot('minecraft:stick');
		})
		.pool(p => {
            p.matchMainHand(ItemFilter.hasEnchantment('minecraft:silk_touch'));
            p.addLoot('byg:ether_foliage');
        })

	event
        .addBlockLootModifier('byg:white_cherry_foliage')
        .removeLoot('*')
		.pool(p => {  
			p.randomChance(0.2)
			p.addLoot('minecraft:stick');
		})
		.pool(p => {
            p.matchMainHand(ItemFilter.hasEnchantment('minecraft:silk_touch'));
            p.addLoot('byg:white_cherry_foliage');
        })
		
	event
        .addBlockLootModifier('byg:white_cherry_foliage')
        .removeLoot('*')
		.pool(p => {  
			p.randomChance(0.2)
			p.addLoot('minecraft:stick');
		})
		.pool(p => {
            p.matchMainHand(ItemFilter.hasEnchantment('minecraft:silk_touch'));
            p.addLoot('byg:white_cherry_foliage');
        })
		
	event
        .addBlockLootModifier('byg:pink_cherry_foliage')
        .removeLoot('*')
		.pool(p => {  
			p.randomChance(0.2)
			p.addLoot('minecraft:stick');
		})
		.pool(p => {
            p.matchMainHand(ItemFilter.hasEnchantment('minecraft:silk_touch'));
            p.addLoot('byg:pink_cherry_foliage');
        })	
		
	event
        .addBlockLootModifier('phantasm:pream_leaves')
        .removeLoot('*')
		.pool(p => {  
			p.randomChance(0.2)
			p.addLoot('minecraft:stick');
		})
		.pool(p => {
            p.matchMainHand(ItemFilter.hasEnchantment('minecraft:silk_touch'));
            p.addLoot('phantasm:pream_leaves');
        })
});